attribute vec4 a_position;
attribute vec2 a_texCoords;
attribute vec4 a_color;

uniform mat4 u_MMatrix;
uniform mat4 u_VMatrix;
uniform mat4 u_PMatrix;

varying vec2 v_texCoords;
varying vec4 v_color;

void main()
{
	gl_Position = u_PMatrix * u_VMatrix * u_MMatrix * a_position;
	v_texCoords = a_texCoords;
	v_color = a_color;
}